Skip to main content
POST
/
api
/
company_enrichments
curl --request POST \
  --url https://wiza.co/api/company_enrichments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_name": "Wiza"
}
'
{
  "status": {
    "code": 200,
    "message": "Company data enriched successfully"
  },
  "type": "company_enrichment",
  "data": {
    "company_industry": "Computer software",
    "company_size": 26,
    "company_size_range": "11-50",
    "company_founded": 2019,
    "company_revenue_range": "$10M-$25M",
    "company_funding": null,
    "company_type": "private",
    "company_description": "Discover 830M+ contacts with real-time verified emails, mobile numbers, and more. Trusted by 50k+ sales and recruiting professionals. Get started for free.",
    "company_ticker": null,
    "company_last_funding_round": null,
    "company_last_funding_amount": null,
    "company_last_funding_at": null,
    "company_location": "Newark, delaware, united states",
    "company_twitter": "https://twitter.com/wiza_co",
    "company_facebook": "https://www.facebook.com/wizaco-611180042722693",
    "company_linkedin": "https://www.linkedin.com/company/wizainc",
    "company_street": null,
    "company_locality": "Newark",
    "company_region": "Delaware",
    "company_postal_code": null,
    "company_country": "United states",
    "domain": "wiza.co",
    "company_domain": "wiza.co",
    "company_name": "Wiza",
    "company_linkedin_id": "67160217",
    "credits": {
      "api_credits": {
        "total": 2,
        "company_credits": 2
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Enter your bearer token (your API key) in the Authorization header in the format Bearer {token}

Body

application/json

At least one of company_name, company_domain, company_linkedin_id, or company_linkedin_slug is required

company_name
string

Company name to enrich (e.g., 'Wiza')

Example:

"Wiza"

company_domain
string

Company domain to enrich (e.g., 'wiza.co')

Example:

"wiza.co"

company_linkedin_id
string

LinkedIn company ID

Example:

"18663757"

company_linkedin_slug
string

LinkedIn company slug (from company URL)

Example:

"wiza"

Response

successful

status
object
type
string
Example:

"company_enrichment"

data
object